Summary:        A lightweight JDBC connector for use with MariaDB and MySQL database servers
Name:           mariadb-java-client
Version:        3.5.1
Release:        1%{?dist}
License:        BSD and LGPLv2+
URL:            https://mariadb.com/kb/en/mariadb/about-mariadb-connector-j/
Source0:        https://github.com/mariadb-corporation/mariadb-connector-j/archive/refs/tags/%{version}.tar.gz
Patch3000:      remove_waffle-jna.patch
BuildRequires:  java-devel
BuildRequires:  maven-buildrequires

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch
Requires:       java-headless
Requires:       javapackages-filesystem
Requires:       jna

%description
MariaDB Connector/J is used to connect applications developed in
Java to MariaDB and MySQL databases using the standard JDBC API.
The library is LGPL licensed.



%prep
%autosetup -n mariadb-connector-j-%{version} -p1



%build
JAVA_HOME=/usr/lib/jvm/java PATH="/usr/lib/jvm/java/bin:${PATH}" mvn -o -Dmaven.repo.local=/usr/lib/maven/repository/ -Dmaven.test.skip=true -Dmaven.javadoc.skip=true package



%install
mkdir -p %{buildroot}/usr/lib/java/
cp target/mariadb-java-client-%{version}.jar %{buildroot}/usr/lib/java/mariadb-java-client.jar



%files
%license LICENSE
%doc README.md
/usr/lib/java/mariadb-java-client.jar



%changelog
* Tue Jan 21 2025 Zhao Zhen <jeremiazhao@tencent.com> - 3.5.1-1
- rewrite build script
- updated to upstream 3.5.1
- lack .pom amd .xml files

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.2-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.2-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 Miaojun Dong <zoedong@tencent.com> - 3.1.2-1
- initial build
